Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::Resonate Class Reference

STK noise driven formant filter. More...

`#include <Resonate.h>`

Inheritance diagram for stk::Resonate:

List of all members.

## Public Member Functions
| Resonate (void)
| Class constructor.
| ~Resonate (void)
| Class destructor.
void | clear (void)
| Reset and clear all internal state.
void | setResonance (StkFloat frequency, StkFloat radius)
| Set the filter for a resonance at the given frequency (Hz) and radius.
void | setNotch (StkFloat frequency, StkFloat radius)
| Set the filter for a notch at the given frequency (Hz) and radius.
void | setEqualGainZeroes (void)
| Set the filter zero coefficients for contant resonance gain.
void | keyOn (void)
| Initiate the envelope with a key-on event.
void | keyOff (void)
| Signal a key-off event to the envelope.
void | noteOn (StkFloat frequency, StkFloat amplitude)
| Start a note with the given frequency and amplitude.
void | noteOff (StkFloat amplitude)
| Stop a note with the given amplitude (speed of decay).
void | controlChange (int number, StkFloat value)
| Perform the control change specified by number and value (0.0 - 128.0).
StkFloat | tick (unsigned int channel=0)
| Compute and return one output sample.

## Detailed Description

STK noise driven formant filter.

This instrument contains a noise source, which excites a biquad resonance filter, with volume controlled by an ADSR.

Control Change Numbers:

- Resonance Frequency (0-Nyquist) = 2
- Pole Radii = 4
- Notch Frequency (0-Nyquist) = 11
- Zero Radii = 1
- Envelope Gain = 128

by Perry R. Cook and Gary P. Scavone, 1995 - 2010.

The documentation for this class was generated from the following file:

- Resonate.h

The Synthesis ToolKit in C++ (STK)
©1995-2010 Perry R. Cook and Gary P. Scavone. All Rights Reserved.